import type { BaseComponentProps, ForeignComponent } from 'piral-core';
import { BlazorDependencyLoader, BlazorLogLevel, BlazorOptions, BlazorRootConfig, WebAssemblyStartOptions } from './types';
export interface LanguageOptions {
    current: string | undefined;
    onChange(inform: (language: string) => void): void;
}
export declare function createConverter(lazy: boolean, opts?: WebAssemblyStartOptions, language?: LanguageOptions, logLevel?: BlazorLogLevel): {
    <TProps extends BaseComponentProps>(moduleName: string, dependency: BlazorDependencyLoader, args: Record<string, any>, options?: BlazorOptions): ForeignComponent<TProps>;
    boot(): Promise<BlazorRootConfig>;
    loader: Promise<BlazorRootConfig>;
    lazy: boolean;
};
